# Generated by Django 3.0.5 on 2020-04-08 09:13

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_fsm


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("CoronApp", "0004_auto_20200406_1905"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="demande",
            options={
                "ordering": ["date_debut", "responsable", "titre"],
                "permissions": [
                    ("can_validate", "Can validate request"),
                    ("can_cloture", "Can cloture"),
                    ("can_refuse", "Can refuse a demand"),
                    ("can_finish", "Can add feedback"),
                ],
            },
        ),
        migrations.AlterModelOptions(
            name="reponse",
            options={
                "permissions": [
                    ("can_assign_vehicules", "Can assign vehicules"),
                    ("can_assign_effectifs", "Can assign effectifs"),
                    ("can_assign_subsistances", "Can assign subsistances"),
                    ("can_assign_logistique", "Can assign logistique"),
                    ("can_comment", "Can comment"),
                ]
            },
        ),
        migrations.AddField(
            model_name="demande",
            name="created_by",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="demande",
            name="description_detaillee",
            field=models.TextField(
                help_text="Chronogramme précis, transport, mise en place etc.",
                verbose_name="Description détaillée de la mission",
            ),
        ),
        migrations.AlterField(
            model_name="demande",
            name="etat",
            field=django_fsm.FSMField(
                choices=[
                    ("cree", "Créée"),
                    ("cloture", "Cloturée"),
                    ("valide", "Validée"),
                    ("refuse", "Refusée"),
                    ("provisionne", "Provisionnée"),
                ],
                default="cree",
                max_length=50,
            ),
        ),
        migrations.AlterField(
            model_name="demande",
            name="moyens_engages",
            field=models.TextField(
                blank=True,
                help_text="[type, nombre, utilisation], [secours, urgence (CAI/CHU/etc.), électriques (chauffage/GPE/rallonges/lampes/etc.), soutien (tables/chaise/etc.)]",
                verbose_name="Moyens engagés",
            ),
        ),
        migrations.AlterField(
            model_name="demande",
            name="nb_transport",
            field=models.IntegerField(
                default=0, verbose_name="Bénévoles à transporter"
            ),
        ),
    ]
